using System;

namespace DotNetMock.Examples.Mainframe
{
	public class MainframeConnection : IMainframeConnection
	{
		public MainframeConnection() {}

		#region IMainframeConnection Implementation
		public void Connect(string sessionID) 
		{
		}
		public void SetScreen(string screenName)
		{
			
		}
		public void PutField(int row, int column, string message, int length)
		{
		}
		public string GetField(int row, int column, int length)
		{
			return "";
		}
		public void SendKey(MainframeConnection.Keys key)
		{
		}
		public void Wait() 
		{
		}
		public void Disconnect()
		{
		}
		#endregion

		public enum Keys 
		{
			Enter,
			Clear,
			F1,
			F2,
			F3,
			F4,
			F5,
			F6,
			F7,
			F8,
			F9,
			F10,
			F11,
			F12,
			Shift_F1,
			Shift_F2,
			Shift_F3,
			Shift_F4,
			Shift_F5,
			Shift_F6,
			Shift_F7,
			Shift_F8,
			Shift_F9,
			Shift_F10,
			Shift_F11,
			Shift_F12,
		}
	}
}
